can't patch from 1.07 to 1.08

SLESA-U6 - SL512BC - developer kit

Moderators: simonB, nick, florent, dylan, Ben

Post Reply
Astey
Junior Forumor
Posts: 41
Joined: Mon May 17, 2010 10:09 pm

can't patch from 1.07 to 1.08

Post by Astey » Sat Apr 28, 2012 12:14 pm

hi,
im unable to update firmware from 1.07 to 1.08

i used 4 different computers and everytime it fails xp/w7. i hit patch firmware, the box is blinking after a while tools.exe returns with the message please patch to 1.08

its impossible to use suite2 anymore until its fixed

i use a siudi 8c

regards

simonB
SuperMaxi Forumor
Posts: 1630
Joined: Thu Sep 17, 2009 1:50 pm

Re: can't patch from 1.07 to 1.08

Post by simonB » Wed May 16, 2012 4:48 pm

With some interfaces, it's not possible to upgrade the firmware from 1.07 to 1.08. To do this, you must start in 'bootloader mode'.
-power off your interface
-create a shortcut on p2-p3-p4-GND ports
-power on your interface
-start tools.exe
-update the firmware
-power off your interface
-remove the shortcut
-power on your interface
-start tools.exe
-update the firmware again

Here is a diagram showing the ports you must connect.
bootloader mode smaller.jpg
bootloader mode smaller.jpg (41.7 KiB) Viewed 4353 times
If you don't have the correct cables for this, a quick solution is to use a ball of foil. As long as the 2 pins on the right are not connected, your interface will successfully start in bootloader mode.
bootloader_foil.png
bootloader_foil.png (831.04 KiB) Viewed 4353 times
Simon
--
Sales/Support

Post Reply